CREATE GENERATOR GEN_PROPS_ID;


/******************************************************************************/
/*                                   Tables                                   */
/******************************************************************************/

CREATE TABLE PROPS (
    ID_PROPS    NUMBERVALUES,
    NAMEORG     LONGFIOSTRING NOT NULL,
    POSTADRESS  LONGFIOSTRING NOT NULL,
    EDRPOU      NAMESORG NOT NULL,
    KOATUU      NAMESORG,
    KVED        NAMESORG,
    KFV         NAMESORG,
    KOPFG       NAMESORG,
    KODU        NAMESORG,
    DOLGNOSTD   LONGFIOSTRING NOT NULL,
    NAMED       LONGFIOSTRING NOT NULL,
    DOLGNOSTB   LONGFIOSTRING NOT NULL,
    NAMEB       LONGFIOSTRING NOT NULL,
    USER_ID     NUMBERVALUES,
    MODEL_ID    NUMBERVALUES,
    POSTINDEX   TABNUMVALUES NOT NULL,
    DOLGNOSTS   LONGFIOSTRING NOT NULL,
    NAMESEK     LONGFIOSTRING NOT NULL,
    TELEPHONE   FIOSTRING,
    DOLGNOSTOTD   LONGFIOSTRING NOT NULL,
    NAMEOTD       LONGFIOSTRING NOT NULL,

    BANKNAME       HARACTERSTRING NOT NULL,
    MFO            FIOSTRING NOT NULL,
    ACCOUNT     BANKACCOUNT NOT NULL,

    INNDIRECTOR      VARCHAR(10) NOT NULL,
    INNBUH           VARCHAR(10) NOT NULL,
    INNSEKR           VARCHAR(10) NOT NULL,
    INNRUKOTD         VARCHAR(10) NOT NULL,

    OKPONALOG        VARCHAR(8) NOT NULL,
    NAMENALOG        VARCHAR(128) NOT NULL,
    CODENALOGRN      VARCHAR(4) NOT NULL,
    CODENALOGOBL     VARCHAR(4) NOT NULL,

    ROW1        LONGFIOSTRING,
    ROW2        LONGFIOSTRING,
    ROW3        LONGFIOSTRING,
    ROW4        LONGFIOSTRING,
    ROW5        LONGFIOSTRING,
    ROW6        LONGFIOSTRING
);





/******************************************************************************/
/*                                Primary Keys                                */
/******************************************************************************/

ALTER TABLE PROPS ADD CONSTRAINT FK_PROPS PRIMARY KEY (ID_PROPS);


/******************************************************************************/
/*                                  Triggers                                  */
/******************************************************************************/


SET TERM ^ ;




/* Trigger: PROPS_BI */
CREATE TRIGGER PROPS_BI FOR PROPS
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
  IF (NEW.ID_PROPS IS NULL) THEN
    NEW.ID_PROPS = GEN_ID(GEN_PROPS_ID,1);
END
^


SET TERM ; ^


/******************************************************************************/
/*                                Descriptions                                */
/******************************************************************************/

DESCRIBE TABLE PROPS
' ';



/* Fields descriptions */



DESCRIBE FIELD DOLGNOSTB TABLE PROPS
'  ';

DESCRIBE FIELD DOLGNOSTD TABLE PROPS
'  ';

DESCRIBE FIELD DOLGNOSTS TABLE PROPS
' ';

DESCRIBE FIELD EDRPOU TABLE PROPS
'';



DESCRIBE FIELD ID_PROPS TABLE PROPS
'ID';



DESCRIBE FIELD KFV TABLE PROPS
'';

DESCRIBE FIELD KOATUU TABLE PROPS
'';

DESCRIBE FIELD KODU TABLE PROPS
'';

DESCRIBE FIELD KOPFG TABLE PROPS
'';

DESCRIBE FIELD KVED TABLE PROPS
'';

DESCRIBE FIELD NAMEB TABLE PROPS
'  ';

DESCRIBE FIELD NAMED TABLE PROPS
' ';

DESCRIBE FIELD NAMEORG TABLE PROPS
' ';

DESCRIBE FIELD NAMESEK TABLE PROPS
' ';

DESCRIBE FIELD POSTADRESS TABLE PROPS
' ';

DESCRIBE FIELD POSTINDEX TABLE PROPS
' ';

DESCRIBE FIELD ROW1 TABLE PROPS
'    ';

DESCRIBE FIELD ROW2 TABLE PROPS
'    ';

DESCRIBE FIELD ROW3 TABLE PROPS
'    ';

DESCRIBE FIELD ROW4 TABLE PROPS
'    ';

DESCRIBE FIELD ROW5 TABLE PROPS
'    ';

DESCRIBE FIELD ROW6 TABLE PROPS
'    ';

DESCRIBE FIELD TELEPHONE TABLE PROPS
' ';



/******************************************************************************/
/*                                 Privileges                                 */
/******************************************************************************/

